<?php
/**
 * @copyright	Copyright (C) 2010 Michael Richey. All rights reserved.
 * @license		GNU General Public License version 3; see LICENSE.txt
 */

defined('JPATH_BASE') or die;

jimport('joomla.form.formfield');
jimport('joomla.version');

class JFormFieldJavascript extends JFormField
{
	protected $type = 'Javascript';
        protected function getLabel(){
            return '';
        }
	protected function getInput()
	{
                $version = new JVersion;
                $shortversion = explode('.',$version->getShortVersion());
                $version=$shortversion[0].'.'.$shortversion[1];
		$doc = &JFactory::getDocument();
                $script=array();
                if($version == 2.5) {
                    $script[]="window.addEvent('domready',function(){";
                    $script[]="\tvar keyfield = document.id('jform_params_key');";
                    $script[]="\tvar urlfield = document.id('jform_params_url-lbl').getParent('li').getElements('span.after')[0];";
                    $script[]="\tvar location = window.location.href.split('administrator')[0];";
                    $script[]="\tkeyfield.addEvent('keyup',function(){";
                    $script[]="\t\turlfield.set('html',location+'?online='+this.value.replace(' ','+'));";
                    $script[]="\t});";
                    $script[]="\tkeyfield.fireEvent('keyup');";
                    $script[]="})";
                } else {
                    $script[]="jQuery(document).ready(function(){";
                    $script[]="\tvar keyfield = jQuery('#jform_params_key');";
                    $script[]="\tvar urlfield = jQuery('#jform_params_url-lbl').parents('.control-group').find('span.after').first();";
                    $script[]="\tvar location = window.location.href.split('administrator')[0];";
                    $script[]="\tkeyfield.keyup(function(){";
                    $script[]="\t\turlfield.html(location+'?online='+this.value.replace(' ','+'));";
                    $script[]="\t})";
                    $script[]="\tkeyfield.trigger('keyup');";
                    $script[]="})";
                }
                $doc->addScriptDeclaration(implode("\n",$script));
		return;
	}
}
