<?php
/**
* @package plugin Offline
* @copyright (C) 2010-2011 RicheyWeb - www.richeyweb.com
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
* Offline Copyright (c) 2011 Michael Richey.
* Offline is licensed under the http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
*/
// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

jimport( 'joomla.plugin.plugin' );

/**
 * Offline system plugin
 */
class plgSystemOffline extends JPlugin
{
    public $offline;
    public $admin;
    function __construct(&$subject, $config = array()) {
        $app = JFactory::getApplication();
        $this->offline = $app->getCfg('offline');
        $this->admin = $app->isAdmin();
        parent::__construct($subject, $config);
    }
    function onAfterInitialise()
    {
        if($this->admin) return true;
        if(!$this->offline) return true;
        if(JFactory::getUser()->id) {
            $this->_online();
            return true;
        }
        $app = JFactory::getApplication();
        $input = $app->input;       
        if($input->cookie->get('online',false) === $this->params->get('key','true')) {
            $this->_online();
            return true;
        }
        if($input->get->get('online',false)) {
            if($input->get->get('online',false) === $this->params->get('key','true')) {
                $this->_authorize();
                $this->_online();
                return true;
            }
        }
    }
    function _online(){
        $config = JFactory::getConfig();
        $config->set('offline',0);   
    }
    function _authorize(){
        $config = JFactory::getConfig();
        $input = JFactory::getApplication()->input;
        $input->cookie->set('online',$this->params->get('key','true'),0,$config->get('cookie_path'),$config->get('cookie_domain'),false,true);
    }
}